2010年05月09日

NetWalkerにankiを導入

 通勤中も勉強できるようにNetWalkerにAnkiを導入。以下簡単に手順をば。

1.ここからdebファイルを取得する。Ubuntuのパッケージにあるのは古いので、他のマシンのデータを同期することができない。これは不便なので最新版を取得するのが望ましい。

2.debファイルをNetwalkerのマシンにコピー。
 下記コマンドでインストールしようとしても、依存性でインストールできない。
 $ sudo dpkg -i anki_0.9.9.8.6-1_all.deb
 
 というわけで、必要なパッケージをapt-getで入手する。
 $ sudo apt-get install python-sip4-dev python-qt4-dev python-beautifulsoup python2.6-dev python-dev

 ankiがpythonで動いているのがよくわかる。

 ここで下記コマンドでインストールができるはず。(というかコンソールを見ると、上記のインストールで設定していたようだ)
 $ sudo dpkg -i anki_0.9.9.8.6-1_all.deb

これで勉強ができるようになるかな??





ラベル:NetWalker
posted by うらぢ at 00:30| Comment(2) | TrackBack(0) | Linux | このブログの読者になる | 更新情報をチェックする
この記事へのコメント
私も Netwalker に anki 入れてます。

python スクリプトだと arm 向けにコンパイルしなくてもそのまま動きますね。
なかなか便利……。

でも私の環境では、[設定] → [フォント設定]で、エラーが出ます。

何でだろ…
Posted by viv at 2010年05月25日 22:50
こんばんは。

> でも私の環境では、[設定] → [フォント設定]で、エラーが出ます。

こちらの環境も確認しましたが、
同じ現象が発生するようです。
Posted by うらぢ at 2010年05月27日 23:58
コメントを書く
お名前:

メールアドレス:

ホームページアドレス:

コメント:

※ブログオーナーが承認したコメントのみ表示されます。

この記事へのトラックバック
×

この広告は180日以上新しい記事の投稿がないブログに表示されております。